<script>
jQuery(function($) {
	var $ = jQuery;
	
	$('#scrollpercentagevalue').html($('#scroll_percent').val());
	$('.triggeridsettings').hide();
	$('.clicksetttings').hide();
	$('.hoversettings').hide();

	$("#trigger").change(function() {
		var trigger = $(this).val();

		$('.scrollpercentagesettings').hide();
		$('.triggeridsettings').hide();
		$('.clicksetttings').hide();

		switch(trigger) {
			case 'scroll':
				$('.scrollpercentagesettings').show();
				break;
			case 'click':
				$('.clicksetttings').show();
				$('.triggeridsettings').show();
				break;
			case 'hover':
				$('.hoversettings').show();
				$('.triggeridsettings').show();
				break;
		}
	});

	$('#scroll_percent').change(function() {
		$('#scrollpercentagevalue').html($('#scroll_percent').val());
	});
});
</script>